function data = load_testbed(fname)

h5disp(fname)

info = h5info(fname);

for n=1:length(info.Groups)
    g = info.Groups(n);
    disp([' Loading: ' g.Name])
    
    for m = 1:length(g.Datasets)
        dset = g.Datasets(m);
        disp(['    Dataset: ' dset.Name])
        eval(['data.' dset.Name ' = h5read(''' fname ''', ''' g.Name '/' dset.Name ''');']) 
    end
    
end
return
